import { defineComponent as c, computed as u, createElementBlock as s, openBlock as p, toDisplayString as d } from "vue";
import { useI18n as i } from "vue-i18n";
const n = 5, _ = /* @__PURE__ */ c({
  __name: "DatahubDataTypeTreeNodeValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(a) {
    const e = a, { t: r } = i(), o = u(() => {
      if (!Array.isArray(e.cellValue))
        return "";
      const t = e.cellValue.slice(0, n).map((l) => (l == null ? void 0 : l.title) ?? "").join(" | ");
      return e.cellValue.length > n ? r("datahub-plugin.tree-node-value.renderNOtherValues", {
        items: t,
        count: e.cellValue.length - n
      }) : t;
    });
    return (t, l) => (p(), s("span", null, d(o.value), 1));
  }
});
export {
  _ as default
};
